# Method: accounts.locations.verifications.complete

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.CompleteVerificationResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications/complete#body.aspect)

Completes a `PENDING` verification.

It is only necessary for non `AUTO` verification methods. `AUTO` verification request is instantly `VERIFIED` upon creation.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*/verifications/*}:complete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the verification to complete. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "pin": string } ``` |

| Fields ||
|---|---|
| `pin` | `string` PIN code received by the merchant to complete the verification. |

### Response body

If successful, the response body contains data with the following structure:
Response message for Verifications.CompleteVerificationAction.

| JSON representation ||
|---|---|
| ``` { "verification": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#Verification`) } } ``` |

| Fields ||
|---|---|
| `verification` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#Verification`)`` The completed verification. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).